Bug 120662 - Patches to ethereal - which were correct?
Summary: Patches to ethereal - which were correct?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-12 19:13 UTC by Michal Jaegermann
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 13:50:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes from RHSA-2004:001-03 possibly missing in ethereal-0.10.3 (2.71 KB, patch)
2004-04-12 19:15 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2004-04-12 19:13:21 UTC
Description of problem:

The last series of updates to ethereal-0.9.16 contained some
fixes which were "lost" in a transition to ethereal-0.10.3.
While it is conceivable that security fixes to packet-q931.c
are no longer needed (if the condition in question is _really_
checked somewhere else) then it does not look that fixed 0.9.16
and 0.10.3 can be both right at the same time in packet-smb.c.
See, for example, RHSA-2004:001-03 and CAN-2003-1012, CAN-2003-1013
referenced there.

To make things clear I attach a patch which carries over changes,
what seems to me applicable,  from the last 0.9.16 releases to
0.10.3.  So what is ultimately correct?

The same question really applies to various variant of
ethereal-0.10.3 packages across many Red Hat distributions and
not only to FC2t2.

Version-Release number of selected component (if applicable):
ethereal-0.10.3-1

Comment 1 Michal Jaegermann 2004-04-12 19:15:55 UTC
Created attachment 99341 [details]
Changes from RHSA-2004:001-03 possibly missing in ethereal-0.10.3

Comment 2 Phil Knirsch 2004-04-15 14:42:09 UTC
Will check.

Thanks,

Read ya, Phil

Comment 3 Phil Knirsch 2004-07-14 13:50:18 UTC
Patch included in ethereal-0.10.5-2 and later available via Fedora
development trees.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.